<%@ page import="com.ether.WebHelper" %>

<script type="text/javascript">
    var InterfaceTemplate = Class.create( {

        initialize: function()
        {
            /** *********** CONTAINERS *********** **/
            this.containerTools = $( "#tools" );
            this.containerLogin = $( "#loginModule" );
            this.containerMenuData = $( "#menuData" );

            /** *********** VARIABLES *********** **/
            // TODO : vérifier cette adresse de webmaster !!!!
            this.webmaster = "rboipsl@ipsl.jussieu.fr";
            this.jSONUser = <%=WebHelper.getJSONUser( request )%> ? <%=WebHelper.getJSONUser( request )%> : false;

            /** ************ CREATE ************ **/
            this.createLogin();
            this.createTools();
        },

        // CREATES ********************************************************
        createTools: function()
        {
            var backofficeButton = new Button( {value:templateTexts["label.backoffice"], parent:this.containerTools, id:"button_bo", className: "red_button", classNameText:"red_button_text", onClick:jQuery.proxy( this.onClickBO, this )} );

            var mailButton = new Button( {value:templateTexts["label.mail"], parent:this.containerTools, id:"button_mail", className: "red_button", classNameText:"red_button_text", onClick:jQuery.proxy( this.onClickMail, this )} );
            var languageButton = new Button( {value:templateTexts["label.language.to.switch"], parent:this.containerTools, id:"button_language", className: "red_button", classNameText:"red_button_text", onClick:jQuery.proxy( this.onClickLanguage, this )} );
            var homeButton = new Button( {value:templateTexts["label.home"], parent:this.containerTools, id:"button_home", className: "red_button", classNameText:"red_button_text", onClick:this.onClickHome} );
        },

        createLogin: function()
        {
            var loginModule = new LoginButton( {parent:this.containerLogin, urlLogin:"project?methodName=login", urlLogout:"project?methodName=logout", webmaster: this.webmaster, isNeededInscription:true, anotherOnClickLogin:this.updateLoginOrLogout, anotherOnClickLogout:this.updateLoginOrLogout } );
            loginModule.setJSONUser( this.jSONUser );
            loginModule.display();
//            setLoginModule( this.loginModule );
        },

        // REQUESTS ********************************************************
        requestChangeLocale: function()
        {
            $.ajax( {
                url: "project?methodName=setLocale&language=" + templateTexts["label.language.value.to.switch"],
                success:function()
                {
                    location.reload();
                }
            } );
        },

        // HANDLES ******************************************************** = retours ajax

        // EVENTS ********************************************************
        onClickBO: function()
        {
            document.location.href = "backoffice?methodName=home";
        },

        onClickHome: function()
        {
            document.location.href = "index.jsp";
        },

        onClickLanguage: function()
        {
            this.requestChangeLocale();
        },

        onClickMail: function()
        {
            document.location.href = "mailto:" + this.webmaster + "?subject=[TAPAS]";
        }

    } );

</script>
